% ucdthesis.sty 
% vim: ft=tex :

\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{ucdthesis}[2004/07/02 --- Gavin McCullagh]

\LoadClass[a4paper,oneside,12pt]{book}%

\RequirePackage[UKenglish]{babel}
\RequirePackage{setspace}

\newcommand{\todaymonth}{\ifcase\month\or%
  January\or February\or March\or April\or May\or June\or%
  July\or August\or September\or October\or November\or December\fi\ \number\year}

\newcommand{\abstract}{%
  \chapter*{Abstract}%
  \addcontentsline{toc}{part}{Abstract}%
}


%%%%%%%% RUNNING HEADERS / FOOTERS %%%%%%%%%%%%
%
\RequirePackage{fancyhdr}
%
% clear all hf.
\fancyhf{}
% chapter top right
\fancyhf[HR]{\thechapter.\ \textsc{\leftmark}}
% Page number bottom middle.
\fancyhf[FC]{\thepage}
%
% headline rule width
\renewcommand{\headrulewidth}{0.1pt}
% footline rule width (0pt means none)
\renewcommand{\footrulewidth}{0pt}
%
\pagestyle{fancy}
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%% BIBLIOGRAPHY %%%%%%%%%%%%
%
\usepackage{natbib}
\bibpunct{(}{)}{;}{a}{,}{,}
%\usepackage{epsf}
\bibliographystyle{apsrev}
%\bibliographystyle{plain}
%
%%% Bibliography nelle TOC
%\usepackage[nottoc]{tocbibind}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
